Bug 140136 - When we click on the FILTERED dropdown + sign it CHECKS and UNCHECKS all along with expanding and contracting
Summary: When we click on the FILTERED dropdown + sign it CHECKS and UNCHECKS all alon...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.3 release
Hardware: All All
: high major
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.2.0 target:7.1.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-02-03 17:43 UTC by Getafix
Modified: 2021-03-25 12:00 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
click on the FILTERED dropdown + sign it CHECKS and UNCHECKS all along with expanding and contracting (7.79 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-02-03 17:43 UTC, Getafix
Details
Click on the blue any where check & uncheck all below (11.10 KB, image/png)
2021-02-06 00:11 UTC, Getafix
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Getafix 2021-02-03 17:43:31 UTC
Created attachment 169448 [details]
click on the FILTERED dropdown + sign it CHECKS and UNCHECKS all along with expanding and contracting

When we click on the FILTERED dropdown + sign it CHECKS and UNCHECKS all along with expanding and contracting

This is a Regression in 7.1.0.3 RC3
Comment 1 BogdanB 2021-02-03 18:16:14 UTC
What is the bad behaviour, and how is the good behaviour?...
I tested on Linux and I don't see any problem.

Version: 7.0.4.2
Build ID: dcf040e67528d9187c66b2379df5ea4407429775
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 2 mulla.tasanim 2021-02-03 20:41:12 UTC
Thank you for reporting the bug. 
Unfortunately without clear steps to reproduce it, we cannot track down the origin of the problem. 
Please provide a clearer set of step-by-step instructions on how to reproduce the problem.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested information is provided.
Comment 3 Getafix 2021-02-03 22:51:37 UTC
I installed 7.1.0.3 over 7.0.4.2 and noticed this annoyance

Please check the sheet  I attached, in windows, in 7.1.0.3 (just click on + sign, it should EXPAND the list and not CHECK/UNCHECK all in it)

I will check the same on my Ubuntu20.10 when LibreOffice 7.1.0 FINAL comes out and let you know, on Linux 7.0.4.2 everything is fine
Comment 4 QA Administrators 2021-02-04 04:26:20 UTC Comment hidden (obsolete)
Comment 5 BogdanB 2021-02-04 20:16:41 UTC
Version: 7.1.0.3 / LibreOffice Community it is final now.
Could you test on Linux?

Build ID: f6099ecf3d29644b5008cc8f48f42f4a40986e4c
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 6 Getafix 2021-02-05 05:22:17 UTC
Checked in Ubuntu 20.10 with LibreOffice 7.1.0 final and its not happening (everything is ok). In linux there is a arrow/triangle and no issues. In Windows there is a + sign and there issue happens
Comment 7 Getafix 2021-02-06 00:11:06 UTC
Created attachment 169520 [details]
Click on the blue any where check & uncheck all below

Click on the blue any where check & uncheck all below, if clicked only on + sign then it expands & contracts all the while checking/unchecking all below it. Happens only in Windows. NOTE: In MS Office this doesnt happen, so this is not just Windows OS issue. Started happening in 7.1.0
Comment 8 Xisco Faulí 2021-02-23 10:03:32 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2471d6f44c7e8ecbe86a90eeb593b899a08a7408

author	Attila Szűcs <szucs.attila3@nisz.hu>	2020-10-16 09:54:14 +0200
committer	László Németh <nemeth@numbertext.org>	2020-10-19 13:44:06 +0200
commit	2471d6f44c7e8ecbe86a90eeb593b899a08a7408 (patch)
tree	811edd14da7a89620238951831324e419e278b36
parent	55281fe6d3cda23d37b0b0c368786c9fc4c5abe9 (diff)
tdf#116675 vcl tree list: toggle by label click (e.g. in AutoFilter)

Bisected with: bibisect-linux64-7.1

Adding Cc: to Attila Szűcs
Comment 9 Xisco Faulí 2021-02-23 10:36:51 UTC
My take on this: https://gerrit.libreoffice.org/c/core/+/111383
Comment 10 Roman Kuznetsov 2021-03-11 11:40:35 UTC
https://gerrit.libreoffice.org/c/core/+/111668
Comment 11 Commit Notification 2021-03-12 09:23:31 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/216f32464ccb0f096e5fdf77f82baf30ae7bab5f

tdf#140136 sc: fix tree list expansion in AutoFilter

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-03-14 22:54:25 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/8265193e3dd350ce48119c85d09f058aa58a5542

tdf#140136 sc: fix tree list expansion in AutoFilter

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Xisco Faulí 2021-03-15 09:36:32 UTC
Nice fix!!

Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: c18e5fd7d6c85d4755f1a70d97336d07b2add510
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Attila Szűcs, thanks for fixing this issue. Should it be closed as RESOLVED FIXED ?
Comment 14 Commit Notification 2021-03-24 13:34:30 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-2":

https://git.libreoffice.org/core/commit/6e620bdb227e499d6422e680cc63d67079ddd154

tdf#140136 sc: fix tree list expansion in AutoFilter

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.